StarCellFormulaInternal::Token Struct Reference documentation

StarCellFormulaInternal::Token Struct Reference

a structure used to store a token More...

## Public Types
enum | Type { Function , Long , Double , String , String2 , External , Cell , CellList , Index , Jump , Empty , Missing , Error , Unknown }
| the different type More...
enum | Content { C_Data , C_FunctionOperator }
| the content type More...

## Public Member Functions
| Token ()
| constructor
bool | get (STOFFCellContent::FormulaInstruction &instr, bool &ignore)
| return a instruction corresponding to a token
bool | updateFunction ()
| try to update the function/operator

## Static Public Member Functions
static bool | addToken (std::vector< std::vector< Token > > &stack, Token const &token)
| a static function to recompile a formula from Polish notation

## Public Attributes
Type | m_type
| the type
Content | m_content
| the content type
unsigned | m_operation
| the operation
long | m_longValue
| the long value
double | m_doubleValue
| the double value
librevenge::RVNGString | m_textValue
| the string value
STOFFVec3i | m_positions [2]
| the cells positions: col, row, tab
STOFFVec3b | m_relPositions [2]
| the cells relative positions
int | m_index
| the index
std::vector< int > | m_jumpPositions
| the jump position(for if, choose, ...)
STOFFCellContent::FormulaInstruction | m_instruction
| the final instruction
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator<<

## Detailed Description

a structure used to store a token

## Member Enumeration Documentation

## ◆ Content

enum StarCellFormulaInternal::Token::Content

the content type

Enumerator
C_Data |
C_FunctionOperator |

## ◆ Type

enum StarCellFormulaInternal::Token::Type

the different type

Enumerator
Function |
Long |
Double |
String |
String2 |
External |
Cell |
CellList |
Index |
Jump |
Empty |
Missing |
Error |
Unknown |

## Constructor & Destructor Documentation

## ◆ Token()

StarCellFormulaInternal::Token::Token | ( |  | ) |
| inline

constructor

Referenced by addToken(), and operator<<.

## Member Function Documentation

## ◆ addToken()

bool StarCellFormulaInternal::Token::addToken | ( | std::vector< std::vector< Token > > & | stack,
|  | Token const & | token )
| static

a static function to recompile a formula from Polish notation

Referenced by StarCellFormula::readSCFormula().

## ◆ get()

bool StarCellFormulaInternal::Token::get | ( | STOFFCellContent::FormulaInstruction & | instr,
|  | bool & | ignore )

return a instruction corresponding to a token

Referenced by StarCellFormula::readSCFormula3().

## ◆ updateFunction()

bool StarCellFormulaInternal::Token::updateFunction | ( |  | ) |

try to update the function/operator

Referenced by StarCellFormula::readSCToken(), and StarCellFormula::readSCToken3().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tok )
| friend

operator<<

## Member Data Documentation

## ◆ m_content

Content StarCellFormulaInternal::Token::m_content

the content type

Referenced by addToken(), StarCellFormula::readSCToken(), Token(), and updateFunction().

## ◆ m_doubleValue

double StarCellFormulaInternal::Token::m_doubleValue

the double value

Referenced by get(), operator<<, StarCellFormula::readSCToken(), StarCellFormula::readSCToken3(), and Token().

## ◆ m_extra

std::string StarCellFormulaInternal::Token::m_extra

extra data

Referenced by operator<<, StarCellFormula::readSCToken(), StarCellFormula::readSCToken3(), and Token().

## ◆ m_index

int StarCellFormulaInternal::Token::m_index

the index

Referenced by Token().

## ◆ m_instruction

STOFFCellContent::FormulaInstruction StarCellFormulaInternal::Token::m_instruction

the final instruction

Referenced by addToken(), get(), operator<<, StarCellFormula::readSCToken(), StarCellFormula::readSCToken3(), Token(), and updateFunction().

## ◆ m_jumpPositions

std::vector<int> StarCellFormulaInternal::Token::m_jumpPositions

the jump position(for if, choose, ...)

Referenced by operator<<, StarCellFormula::readSCToken(), and Token().

## ◆ m_longValue

long StarCellFormulaInternal::Token::m_longValue

the long value

Referenced by addToken(), get(), operator<<, StarCellFormula::readSCToken(), StarCellFormula::readSCToken3(), Token(), and updateFunction().

## ◆ m_operation

unsigned StarCellFormulaInternal::Token::m_operation

the operation

Referenced by StarCellFormula::readSCToken(), StarCellFormula::readSCToken3(), Token(), and updateFunction().

## ◆ m_positions

STOFFVec3i StarCellFormulaInternal::Token::m_positions[2]

the cells positions: col, row, tab

Referenced by get(), operator<<, StarCellFormula::readSCToken(), and StarCellFormula::readSCToken3().

## ◆ m_relPositions

STOFFVec3b StarCellFormulaInternal::Token::m_relPositions[2]

the cells relative positions

Referenced by get(), operator<<, StarCellFormula::readSCToken(), and StarCellFormula::readSCToken3().

## ◆ m_textValue

librevenge::RVNGString StarCellFormulaInternal::Token::m_textValue

the string value

Referenced by get(), operator<<, StarCellFormula::readSCToken(), StarCellFormula::readSCToken3(), and Token().

## ◆ m_type

Type StarCellFormulaInternal::Token::m_type

the type

Referenced by addToken(), get(), operator<<, StarCellFormula::readSCFormula3(), StarCellFormula::readSCToken(), StarCellFormula::readSCToken3(), and Token().

The documentation for this struct was generated from the following file:

- StarCellFormula.cxx